FROM node:8.7.0-alpine

RUN mkdir -p /srv/app/backend
WORKDIR /srv/app/backend

COPY package.json /srv/app/backend
COPY package-lock.json /srv/app/backend

RUN npm install --silent

COPY . /srv/app/backend

EXPOSE 8088

CMD ["npm", "start"]